#ifndef APPTHEME_H
#define APPTHEME_H

#include <QObject>
#include <QVariant>
#include "appsettings.h"

class AppTheme : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QVariant style READ getStyle NOTIFY styleChanged)
public:
    explicit AppTheme(QObject *parent = nullptr);

private:

    QList<QVariant> themes;

    QVariant * currentTheme;


signals:
    void styleChanged();

public slots:
    QVariant getStyle();
    Q_INVOKABLE void refreshTheme();
};

#endif // APPTHEME_H
